summaryrefslogtreecommitdiffstats
path: root/system-build/share/hooks/normal/0170-remove-python-py.hook.chroot
diff options
context:
space:
mode:
Diffstat (limited to 'system-build/share/hooks/normal/0170-remove-python-py.hook.chroot')
-rwxr-xr-xsystem-build/share/hooks/normal/0170-remove-python-py.hook.chroot9
1 files changed, 9 insertions, 0 deletions
diff --git a/system-build/share/hooks/normal/0170-remove-python-py.hook.chroot b/system-build/share/hooks/normal/0170-remove-python-py.hook.chroot
new file mode 100755
index 0000000..ff70583
--- /dev/null
+++ b/system-build/share/hooks/normal/0170-remove-python-py.hook.chroot
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+# Remove Python *.py files.
+#
+# This removes byte-compiled Python modules to save some space.
+
+find /usr -name "*.pyc" -print0 | xargs -0r rm -f